# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Meta.pm) perl(CPAN/Meta/Prereqs.pm) perl(DirHandle.pm) perl(File/stat.pm) perl(Module/Build.pm) perl(Plack/App/File.pm) perl(Plack/Request.pm) perl(Plack/Runner.pm) perl(Test/More.pm) perl(YAML.pm) perl(parent.pm) perl(Text/MicroTemplate.pm)
# END SourceDeps(oneline)
%define module_version 0.11
%define module_name Cot
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: super lightweight perl framework based on Plack
Group: Development/Perl
License: perl
URL: https://github.com/yusukeshibata/Cot

Source0: http://cpan.org.ua/authors/id/Y/YS/YSHIBATA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md examples
%perl_vendor_privlib/C*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

